#pragma once

/* NNC2020 v2.1 Black Badge Pinout */
#define BSP_BLACK_PIN_BOOT			GPIO_NUM_0
#define BSP_BLACK_PIN_LED			GPIO_NUM_23
#define BSP_BLACK_PIN_WS2812		GPIO_NUM_18
#define BSP_BLACK_PIN_IIC_SCL		GPIO_NUM_16
#define BSP_BLACK_PIN_IIC_SDA		GPIO_NUM_17
#define BSP_BLACK_PIN_IO_RST		GPIO_NUM_19
#define BSP_BLACK_PIN_IO_INT		GPIO_NUM_34
#define BSP_BLACK_PIN_IO_X			GPIO_NUM_32
#define BSP_BLACK_PIN_IO_Y			GPIO_NUM_33
#define BSP_BLACK_PIN_OLED_SCL		GPIO_NUM_25
#define BSP_BLACK_PIN_OLED_SDA		GPIO_NUM_26
#define BSP_BLACK_PIN_CAN_RX		GPIO_NUM_21
#define BSP_BLACK_PIN_CAN_TX		GPIO_NUM_22
#define BSP_BLACK_PIN_JTAG_TCK		GPIO_NUM_13
#define BSP_BLACK_PIN_JTAG_TDO		GPIO_NUM_15
#define BSP_BLACK_PIN_JTAG_TDI		GPIO_NUM_12
#define BSP_BLACK_PIN_JTAG_TMS		GPIO_NUM_14

#define BSP_BLACK_ADC_VBAT			ADC1_CHANNEL_7 // CH7 -> IO35	

#define BSP_BLACK_TOUCH_CHIPLEFT	TOUCH_PAD_MAX  // Not connected
#define BSP_BLACK_TOUCH_CHIPRIGHT	TOUCH_PAD_NUM6 // TP6 -> IO14
#define BSP_BLACK_TOUCH_UP			TOUCH_PAD_NUM3 // TP3 -> IO15
#define BSP_BLACK_TOUCH_DOWN		TOUCH_PAD_NUM2 // TP2 -> IO2
#define BSP_BLACK_TOUCH_LEFT		TOUCH_PAD_NUM5 // TP5 -> IO12
#define BSP_BLACK_TOUCH_RIGHT		TOUCH_PAD_NUM4 // TP4 -> IO13

/* NNC2020 v2.0 Red Badge Pinout */
#define BSP_RED_PIN_BOOT			GPIO_NUM_0
#define BSP_RED_PIN_LED				GPIO_NUM_23
#define BSP_RED_PIN_WS2812			GPIO_NUM_18
#define BSP_RED_PIN_IIC_SCL			GPIO_NUM_16
#define BSP_RED_PIN_IIC_SDA			GPIO_NUM_17
#define BSP_RED_PIN_IO_RST			GPIO_NUM_19
#define BSP_RED_PIN_IO_INT			GPIO_NUM_34
#define BSP_RED_PIN_IO_X			GPIO_NUM_25
#define BSP_RED_PIN_IO_Y			GPIO_NUM_26
#define BSP_RED_PIN_OLED_SCL		GPIO_NUM_NC
#define BSP_RED_PIN_OLED_SDA		GPIO_NUM_NC
#define BSP_RED_PIN_CAN_RX			GPIO_NUM_21
#define BSP_RED_PIN_CAN_TX			GPIO_NUM_22
#define BSP_RED_PIN_JTAG_TCK		GPIO_NUM_13
#define BSP_RED_PIN_JTAG_TDO		GPIO_NUM_15
#define BSP_RED_PIN_JTAG_TDI		GPIO_NUM_12
#define BSP_RED_PIN_JTAG_TMS		GPIO_NUM_14

#define BSP_RED_ADC_VBAT			ADC1_CHANNEL_7 // CH7 -> IO35	

#define BSP_RED_TOUCH_CHIPLEFT		TOUCH_PAD_NUM6 // TP6 -> IO14
#define BSP_RED_TOUCH_CHIPRIGHT		TOUCH_PAD_NUM9 // TP9 -> IO32
#define BSP_RED_TOUCH_LEFTUP		TOUCH_PAD_NUM2 // TP2 -> IO2
#define BSP_RED_TOUCH_LEFTDOWN		TOUCH_PAD_NUM0 // TP0 -> IO4
#define BSP_RED_TOUCH_RIGHTUP		TOUCH_PAD_NUM7 // TP7 -> IO27
#define BSP_RED_TOUCH_RIGHTDOWN		TOUCH_PAD_NUM8 // TP8 -> IO33
